<?php
/*
Plugin Name: All In One Schema.org Rich Snippets
Plugin URI: http://www.brainstormforce.com
Description: The All in One Rich Snippets gives the power to the blog author to control the rich snippets to be shown in the search results by the search engines.
Version: 1.0.3
Author: Brainstorm Force
Author URI: http://www.brainstormforce.com
License: GPL2
*/
?>
<?php
/*  Copyright 2013 All in One Rich Snippets (email : nitiny@brainstormforce.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php

if ( !class_exists( "RichSnippets" ) )
{
	class RichSnippets
	{
		function __construct() // Constructor
		{	
//			register_activation_hook(__FILE__, array($this, 'run_on_activate'));

//			add_action( 'admin_notices', array($this, 'display_message') );
								
			add_action( 'admin_head', array( $this, 'star_icons') );
			// Add Admin Menu
			add_action('admin_menu', array( $this, 'register_custom_menu_page') );
			
			add_action( 'admin_init', array( $this, 'set_styles' ));

			add_action( 'wp_head', array($this, 'frontend_style') );
			
			add_filter('plugins_loaded', array( $this, 'rich_snippet_translation'));
			
			add_action( 'admin_enqueue_scripts', array( $this, 'post_enqueue') );
			
			add_action( 'admin_enqueue_scripts', array( $this, 'post_new_enqueue') );
	
			$plugin = plugin_basename(__FILE__); 
			add_filter("plugin_action_links_$plugin", array( $this,'bsf_settings_link') );		
			
			// Extended Comments
			add_filter('comment_form_default_fields',array( $this,'custom_fields'));			
			// Add fields after default fields above the comment box, always visible
			
			add_action( 'comment_form_logged_in_after', array( $this,'additional_fields' ));
			add_action( 'comment_form_after_fields', array( $this,'additional_fields' ));
			
			// Save the comment meta data along with comment
			
			add_action( 'comment_post', array( $this,'save_comment_meta_data' ));
			// Add the filter to check if the comment meta data has been filled or not
			
			add_filter( 'preprocess_comment', array( $this,'verify_comment_meta_data' ));
			//Add an edit option in comment edit screen  
			
			add_action( 'edit_comment', array( $this,'extend_comment_edit_metafields' ));
			
			// Add the comment meta (saved earlier) to the comment text 
			// You can also output the comment meta values directly in comments template  
			
			add_filter( 'comment_text', array( $this,'modify_comment'));
			
		}		
		function frontend_style() {
			wp_register_style( 'bsf_style', plugins_url('/css/style.css', __FILE__) );
			wp_enqueue_style('bsf_style');
		}
		function register_custom_menu_page() 
		{
			require_once('admin/index.php');
			$page = add_menu_page('All in One Rich Snippets Dashboard', 'Rich Snippets', 'administrator', 'rich_snippet_dashboard', 'rich_snippet_dashboard', 'div');
			//Call the function to print the stylesheets and javascripts in only this plugins admin area
			add_action( 'admin_print_styles-' . $page, 'bsf_admin_styles' ); 
		}
		// Add settings link on plugin page
		function bsf_settings_link($links) { 
		  $settings_link = '<a href="admin.php?page=rich_snippet_dashboard">Settings</a>'; 
		  array_unshift($links, $settings_link); 
		  return $links; 
		}
/*		function run_on_activate()
		{
			add_action( 'admin_notices', array($this, 'display_message') );
//			add_action('admin_head',  array($this,'custom_print_footer_scripts') );
		}
		function display_message(){
			$screen = get_current_screen();
			if($screen->id == "plugins")
			{
				$plugin = site_url().'/wp-admin/admin.php?page=rich_snippet_dashboard';
				echo '<div class="updated">
						<p>'.__( "<strong>All in One Schema.org Rich Snippets </strong> is installed ! New features are added. <strong><a href='".$plugin."'>Click Here</a> </strong>to configure.", "rich-snippets" ).' </p>
					 </div>';			
			}
		}*/

		//print the star rating style on post edit page
		function post_enqueue($hook) {
			if( 'post.php' != $hook )
				return;
		//	wp_enqueue_script( 'bsf_jquery' );
			wp_enqueue_script( 'jquery' );		
			wp_enqueue_script( 'bsf_jquery_star' );
			wp_enqueue_script( 'bsf_toggle' );		
			wp_enqueue_style( 'star_style' );
		}
		function post_new_enqueue($hook) {
			if('post-new.php' != $hook )
				return;
		//	wp_enqueue_script( 'bsf_jquery' );
			wp_enqueue_script( 'jquery' );		
			wp_enqueue_script( 'bsf_jquery_star' );
			wp_enqueue_script( 'bsf_toggle' );		
			wp_enqueue_style( 'star_style' );
		}
		//Initialize the metabox class
		function wp_initialize_bsf_meta_boxes() {
			if ( ! class_exists( 'bsf_Meta_Box' ) )
				require_once(plugin_dir_path( __FILE__ ) . 'init.php');
		}
		function set_styles() {
			wp_register_style( 'star_style', plugins_url('/css/jquery.rating.css', __FILE__) );
			wp_register_style( 'meta_style', plugins_url('admin/css/style.css', __FILE__) );
			wp_register_script( 'bsf_jquery_ui', plugins_url('/js/jquery-ui.js', __FILE__) ); 
			wp_register_script( 'bsf_jquery_star', plugins_url('/js/jquery.rating.min.js', __FILE__) ); 
			wp_register_script( 'bsf_toggle', plugins_url('/js/toggle.js', __FILE__) ); 
		}
		// Define icon styles for the custom post type
		function star_icons() {
		?>
		<style>
			#toplevel_page_rich_snippet_dashboard .wp-menu-image {
				background: url(<?php echo plugins_url('/images/star.png',__FILE__); ?>) no-repeat !important;
			}
			#toplevel_page_rich_snippet_dashboard:hover .wp-menu-image, #toplevel_page_rich_snippet_dashboard.wp-has-current-submenu .wp-menu-image {
				background: url(<?php echo plugins_url('/images/star.png',__FILE__); ?>) no-repeat 0 -32px !important;
			}
			#toplevel_page_rich_snippet_dashboard .current .wp-menu-image, #toplevel_page_rich_snippet_dashboard.wp-has-current-submenu .wp-menu-image {
				background: url(<?php echo plugins_url('/images/star.png',__FILE__); ?>) no-repeat 0 -32px !important;
			}
			#star-icons-32.icon32 {background: url(<?php echo plugins_url('/images/gray-32.png',__FILE__); ?>) no-repeat;}
		</style>		
		<?php }

		/* Translation */
		function rich_snippet_translation()
		{
			// Load Translation File
			load_plugin_textdomain('rich-snippets', false, basename( dirname( __FILE__ ) ) . '/lang/' );
		}
		function custom_fields($fields) {
		
				$commenter = wp_get_current_commenter();
				$req = get_option( 'require_name_email' );
				$aria_req = ( $req ? " aria-required='true'" : '' );
		
				$fields[ 'author' ] = '<p class="comment-form-author">'.
					'<label for="author">' . __( 'Name' ) . '</label>'.
					( $req ? '<span class="required">*</span>' : '' ).
					'<input id="author" name="author" type="text" value="'. esc_attr( $commenter['comment_author'] ) . 
					'" size="30" tabindex="1"' . $aria_req . ' /></p>';
				
				$fields[ 'email' ] = '<p class="comment-form-email">'.
					'<label for="email">' . __( 'Email' ) . '</label>'.
					( $req ? '<span class="required">*</span>' : '' ).
					'<input id="email" name="email" type="text" value="'. esc_attr( $commenter['comment_author_email'] ) . 
					'" size="30"  tabindex="2"' . $aria_req . ' /></p>';
						
		
			return $fields;
		}
		function additional_fields () {
			global $post;
			$id = $post->ID;
			$type = get_post_meta($id, '_bsf_post_type', true);
			if($type == '7')
			{
				echo '<label for="rating">'. __('Your Rating :') . '<span class="required">*</span></label><br/><span class="commentratingbox">';
				
				for( $i=1; $i <= 5; $i++ )
				echo '<span class="commentrating star-blocks"><input type="radio" name="rating" id="rating" class="star" value="'. $i .'"/></span>';
			
				echo'</span><br/></p>';
				echo '<br/><p class="comment-form-title">'.
				'<label for="title">' . __( 'Comment Title' ) . '</label>'.
				'<input id="title" name="title" type="text" size="30"  tabindex="5" /></p>';
			
				echo '<p class="comment-form-rating">';
			}
		}		
		function save_comment_meta_data( $comment_id ) {
			if ( ( isset( $_POST['phone'] ) ) && ( $_POST['phone'] != '') )
			$phone = wp_filter_nohtml_kses($_POST['phone']);
			add_comment_meta( $comment_id, 'phone', $phone );
		
			if ( ( isset( $_POST['title'] ) ) && ( $_POST['title'] != '') )
			$title = wp_filter_nohtml_kses($_POST['title']);
			add_comment_meta( $comment_id, 'title', $title );
		
			if ( ( isset( $_POST['rating'] ) ) && ( $_POST['rating'] != '') )
			$rating = wp_filter_nohtml_kses($_POST['rating']);
			add_comment_meta( $comment_id, 'rating', $rating );
		}
		function verify_comment_meta_data( $commentdata ) {
			if ( ! isset( $_POST['rating'] ) )
			wp_die( __( 'Error: You did not add your rating. Hit the BACK button of your Web browser and resubmit your comment with rating.' ) );
			return $commentdata;
		}
		function extend_comment_edit_metafields( $comment_id ) {
			if( ! isset( $_POST['extend_comment_update'] ) || ! wp_verify_nonce( $_POST['extend_comment_update'], 'extend_comment_update' ) ) return;
		
			if ( ( isset( $_POST['phone'] ) ) && ( $_POST['phone'] != '') ) : 
			$phone = wp_filter_nohtml_kses($_POST['phone']);
			update_comment_meta( $comment_id, 'phone', $phone );
			else :
			delete_comment_meta( $comment_id, 'phone');
			endif;
				
			if ( ( isset( $_POST['title'] ) ) && ( $_POST['title'] != '') ):
			$title = wp_filter_nohtml_kses($_POST['title']);
			update_comment_meta( $comment_id, 'title', $title );
			else :
			delete_comment_meta( $comment_id, 'title');
			endif;
		
			if ( ( isset( $_POST['rating'] ) ) && ( $_POST['rating'] != '') ):
			$rating = wp_filter_nohtml_kses($_POST['rating']);
			update_comment_meta( $comment_id, 'rating', $rating );
			else :
			delete_comment_meta( $comment_id, 'rating');
			endif;
			
		}
		function modify_comment( $text ){
		
			$plugin_url_path = WP_PLUGIN_URL;
		
			if( $commenttitle = get_comment_meta( get_comment_ID(), 'title', true ) ) {
				$commenttitle = '<strong>' . esc_attr( $commenttitle ) . '</strong><br/>';
				$text = $commenttitle . $text;
			} 
		
			if( $commentrating = get_comment_meta( get_comment_ID(), 'rating', true ) ) {
				$commentrating = '<p class="comment-rating">	<img src="'. $plugin_url_path .
				'/all-in-one-schemaorg-rich-snippets/images/'. $commentrating . 'star.gif"/><br/>Rating: <strong>'. $commentrating .' / 5</strong></p>';
				$text = $text . $commentrating;
				return $text;		
			} else {
				return $text;		
			}	 
		}		
	}
}
	require_once('functions.php');
	add_filter( 'bsf_meta_boxes', 'bsf_metaboxes' );
// Instantiating the Class
if (class_exists("RichSnippets")) {
	$RichSnippets= new RichSnippets();
}
?>